5.3. Time and allocation profiling
Prev | Chapter 5. Profiling | Next

## 5.3. Time and allocation profiling

To generate a time and allocation profile, give one of the following RTS options to the compiled program when you run it (RTS options should be enclosed between `+RTS...-RTS` as usual):

`-p` or `-P`:

  The `-p` option produces a standard time profile report. It is written into the file ``program`.prof`.

  The `-P` option produces a more detailed report containing the actual time and allocation data as well. (Not used much.)

`-px`:

  The `-px` option generates profiling information in the XML format understood by our new profiling tool, see Section 5.5, “Graphical time/allocation profile”.

`-xc`

  This option makes use of the extra information maintained by the cost-centre-stack profiler to provide useful information about the location of runtime errors. See Section 4.14.5, “RTS options for hackers, debuggers, and over-interested souls”.

Prev | Up | Next
5.2. Compiler options for profiling | Home | 5.4. Profiling memory usage